#include"reg51.h"
#define uint unsigned int
delay(uint t)
{
uint i,j;
for(j=t;j>0;j--) 	
	for(i=110;i>0;i--);
}
main()
{
   P1=0XFE;
 	delay(1000);
   P1=0XFd;
 	delay(1000);
	P1=0XFb;
 	delay(1000);
	P1=0XF7;
 	delay(1000);
	P1=0Xef;
 	delay(1000);
	P1=0Xdf;
 	delay(1000);
	P1=0Xbf;
 	delay(1000);
	P1=0X7f;
 	delay(1000); 

}